// Generated by the protocol buffer compiler.  DO NOT EDIT!
// source: essmodule/essmodule.proto

package openfmb.essmodule;

public interface ESSCSGOrBuilder extends
    // @@protoc_insertion_point(interface_extends:essmodule.ESSCSG)
    com.google.protobuf.MessageOrBuilder {

  /**
   * <pre>
   * The array with the points specifying a curve shape.
   * </pre>
   *
   * <code>repeated .essmodule.ESSCurvePoint crvPts = 1 [(.uml.option_required_field) = true, (.uml.option_multiplicity_min) = 1];</code>
   */
  java.util.List<openfmb.essmodule.ESSCurvePoint> 
      getCrvPtsList();
  /**
   * <pre>
   * The array with the points specifying a curve shape.
   * </pre>
   *
   * <code>repeated .essmodule.ESSCurvePoint crvPts = 1 [(.uml.option_required_field) = true, (.uml.option_multiplicity_min) = 1];</code>
   */
  openfmb.essmodule.ESSCurvePoint getCrvPts(int index);
  /**
   * <pre>
   * The array with the points specifying a curve shape.
   * </pre>
   *
   * <code>repeated .essmodule.ESSCurvePoint crvPts = 1 [(.uml.option_required_field) = true, (.uml.option_multiplicity_min) = 1];</code>
   */
  int getCrvPtsCount();
  /**
   * <pre>
   * The array with the points specifying a curve shape.
   * </pre>
   *
   * <code>repeated .essmodule.ESSCurvePoint crvPts = 1 [(.uml.option_required_field) = true, (.uml.option_multiplicity_min) = 1];</code>
   */
  java.util.List<? extends openfmb.essmodule.ESSCurvePointOrBuilder> 
      getCrvPtsOrBuilderList();
  /**
   * <pre>
   * The array with the points specifying a curve shape.
   * </pre>
   *
   * <code>repeated .essmodule.ESSCurvePoint crvPts = 1 [(.uml.option_required_field) = true, (.uml.option_multiplicity_min) = 1];</code>
   */
  openfmb.essmodule.ESSCurvePointOrBuilder getCrvPtsOrBuilder(
      int index);
}
